Bug 156292 - Crash after starting the second time [assert, KDBusServiceStarter, ServiceStarter, ..., KontactApp::newInstance]
Summary: Crash after starting the second time [assert, KDBusServiceStarter, ServiceSta...
Status: RESOLVED UNMAINTAINED
Alias: None
Product: kontact
Classification: Applications
Component: general (show other bugs)
Version: SVN trunk
Platform: Compiled Sources Linux
: NOR crash with 41 votes (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
: 198360 199507 200672 213935 225655 236286 250938 251999 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-01-21 03:28 UTC by Oliver Putz
Modified: 2017-01-07 22:33 UTC (History)
11 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (8.02 KB, text/plain)
2012-02-09 10:20 UTC, simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Putz 2008-01-21 03:28:56 UTC
Version:            (using Devel)
Installed from:    Compiled sources
Compiler:          gcc version 4.1.2 20070214 
OS:                Linux

I just tried to run kontact via krunner. (Alt+F2). The first time, krunner crashed without starting Kontact. [no usable backtrace for the krunner crash]
As I tried to start Kontact a second time (immediately after the first try) via krunner, krunner survived, but Kontact crashed immediately with the following backtrace:

Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb53216d0 (LWP 7027)]
[KCrash handler]
#6  0xffffe410 in __kernel_vsyscall ()
#7  0xb56c91f1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb56ca9b8 in *__GI_abort () at abort.c:88
#9  0xb7d80265 in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfc7501c "ASSERT: \"!privateObject->q\" in file /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp, line 54") at global/qglobal.cpp:2160
#10 0xb7d8032a in qFatal (msg=0xb7e8787c "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2392
#11 0xb7d80555 in qt_assert (assertion=0xb780acd6 "!privateObject->q", 
    file=0xb780ab4c "/var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp", line=54) at global/qglobal.cpp:1917
#12 0xb76d6cad in KDBusServiceStarter (this=0x8123e08)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp:54
#13 0xb6229642 in ServiceStarter (this=0x8123e08, pluginList=0x8372830)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:104
#14 0xb62249d4 in MainWindow (this=0x83727e0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:150
#15 0x0804b55e in KontactApp::newInstance (this=0xbfc79680)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/main.cpp:98
#16 0xb79dfb40 in KUniqueApplicationAdaptor::newInstance (this=0x80e4d60, 
    asn_id=@0x813b230, args=@0x8121f08)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kuniqueapplication_p.h:71
#17 0xb79de15b in KUniqueApplicationAdaptor::qt_metacall (this=0x80e4d60, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfc77258)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs_build/kdeui/kuniqueapplication_p.moc:73
#18 0xb74a9b58 in QDBusConnectionPrivate::deliverCall (this=0x805b418, 
    object=0x80e4d60, msg=@0x83f5a64, metaTypes=@0x80a163c, slotIdx=4)
    at qdbusintegrator.cpp:837
#19 0xb74aa804 in QDBusConnectionPrivate::activateCall (this=0x805b418, 
    object=0x80e4d60, flags=337, msg=@0x83f5a64) at qdbusintegrator.cpp:749
#20 0xb74ab146 in QDBusConnectionPrivate::activateObject (this=0x805b418, 
    node=@0x83f5a50, msg=@0x83f5a64, pathStartPos=16)
    at qdbusintegrator.cpp:1269
#21 0xb74ab28a in QDBusActivateObjectEvent::placeMetaCall (this=0x83f5a20)
    at qdbusintegrator.cpp:1382
#22 0xb7e64017 in QObject::event (this=0xbfc79680, e=0x1b73)
    at kernel/qobject.cpp:1122
#23 0xb7e5314b in QCoreApplication::event (this=0xbfc79680, e=0x83f5a20)
    at kernel/qcoreapplication.cpp:1295
#24 0xb6d2c9f7 in QApplication::event (this=0xbfc79680, e=0x83f5a20)
    at kernel/qapplication.cpp:2093
#25 0xb6d26e8a in QApplicationPrivate::notify_helper (this=0x8060068, 
    receiver=0xbfc79680, e=0x83f5a20) at kernel/qapplication.cpp:3556
#26 0xb6d2877a in QApplication::notify (this=0xbfc79680, receiver=0xbfc79680, 
    e=0x83f5a20) at kernel/qapplication.cpp:3115
#27 0xb79d8fb3 in KApplication::notify (this=0xbfc79680, receiver=0xbfc79680, 
    event=0x83f5a20)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:314
#28 0xb7e52d7b in QCoreApplication::notifyInternal (this=0xbfc79680, 
    receiver=0xbfc79680, event=0x83f5a20) at kernel/qcoreapplication.cpp:530
#29 0xb7e5421a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x8050f60) at kernel/qcoreapplication.h:200
#30 0xb7e5456d in QCoreApplication::sendPostedEvents (receiver=0x0, 
    event_type=0) at kernel/qcoreapplication.cpp:1001
#31 0xb6db0aee in QEventDispatcherX11::processEvents (this=0x805f170, 
    flags=@0xbfc77b34)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:205
#32 0xb7e52191 in QEventLoop::processEvents (this=0xbfc77bac, 
    flags=@0xbfc77b68) at kernel/qeventloop.cpp:140
#33 0xb7e5229a in QEventLoop::exec (this=0xbfc77bac, flags=@0xbfc77bb8)
    at kernel/qeventloop.cpp:186
#34 0xb7191c87 in QDialog::exec (this=0xbfc77c68) at dialogs/qdialog.cpp:433
#35 0xb34e84f1 in KMail::ImapAccountBase::makeConnection (this=0x82ffc50)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp:315
#36 0xb34eee48 in KMAcctImap::makeConnection (this=0x6)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmacctimap.cpp:546
#37 0xb350a889 in KMFolderImap::listDirectory (this=0x82e80d8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfolderimap.cpp:756
#38 0xb3406d5b in KMFolderTree::slotFolderExpanded (this=0x8333408, 
    item=0x83e1208)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:1564
#39 0xb340d932 in KMFolderTree::qt_metacall (this=0x8333408, 
    _c=QMetaObject::InvokeMetaMethod, _id=161, _a=0xbfc782ac)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmfoldertree.moc:265
#40 0xb7e661f4 in QMetaObject::activate (sender=0x8333408, 
    from_signal_index=68, to_signal_index=68, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#41 0xb7e66d94 in QMetaObject::activate (sender=0x8333408, m=0xb6686528, 
    local_signal_index=18, argv=0xbfc782ac) at kernel/qobject.cpp:3140
#42 0xb65fdb24 in Q3ListView::expanded (this=0x8333408, _t1=0x83e1208)
    at .moc/debug-shared/moc_q3listview.cpp:389
#43 0xb647d3ea in Q3ListViewItem::setOpen (this=0x83e1208, o=true)
    at itemviews/q3listview.cpp:1495
#44 0xb340e11a in KMFolderTree::addDirectory (this=0x8333408, fdir=0x82ec054, 
    parent=0x0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:757
#45 0xb340e686 in KMFolderTree::reload (this=0x8333408, openFolders=false)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:551
#46 0xb35da0ac in KMMainWidget::readConfig (this=0x830c328)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:618
#47 0xb35db009 in KMMainWidget (this=0x830c328, parent=0x82bfac0, 
    aGUIClient=0x82208fc, actionCollection=0x8227930, config=0x80a2bf0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:218
#48 0xb375edb0 in KMailPart (this=0x82208d8, parentWidget=0x80acbc0, 
    parent=0x80acbc0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmail_part.cpp:108
#49 0xb3760462 in KPluginFactory::createPartInstance<KMailPart> (
    parentWidget=0x80acbc0, parent=0x80acbc0, args=@0xbfc7882c)
    at /usr/kde/svn/include/kpluginfactory.h:465
#50 0xb7cdb862 in KPluginFactory::create (this=0x82166f8, 
    iface=0xb7605260 "KParts::ReadOnlyPart", parentWidget=0x80acbc0, 
    parent=0x80acbc0, args=@0xbfc7882c, keyword=@0xbfc78748)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdecore/util/kpluginfactory.cpp:181
#51 0xb681694b in KPluginFactory::create<KParts::ReadOnlyPart> (
    this=0x82166f8, parent=0x80acbc0, args=@0xbfc7882c)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdecore/util/kpluginfactory.h:489
#52 0xb61e04f2 in Kontact::Core::createPart (this=0x80acbc0, 
    libname=0x814bec8 "kmailpart")
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/core.cpp:70
#53 0xb61e2a41 in Kontact::Plugin::loadPart (this=0x81cb7a0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/plugin.cpp:126
#54 0xb37a2045 in KMailPlugin::createPart (this=0x81cb7a0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/plugins/kmail/kmail_plugin.cpp:172
#55 0xb61e24ff in Kontact::Plugin::part (this=0x81cb7a0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/plugin.cpp:163
#56 0xb622062e in Kontact::MainWindow::selectPlugin (this=0x80acbc0, 
    plugin=0x81cb7a0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:648
#57 0xb6220402 in Kontact::MainWindow::loadSettings (this=0x80acbc0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:782
#58 0xb62243af in Kontact::MainWindow::initObject (this=0x80acbc0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:211
#59 0xb6224a65 in MainWindow (this=0x80acbc0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:159
#60 0x0804b55e in KontactApp::newInstance (this=0xbfc79680)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/main.cpp:98
#61 0xb79dfb40 in KUniqueApplicationAdaptor::newInstance (this=0x80e4d60, 
    asn_id=@0x8083b68, args=@0x8083bc0)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kuniqueapplication_p.h:71
#62 0xb79de15b in KUniqueApplicationAdaptor::qt_metacall (this=0x80e4d60, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfc78cc8)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs_build/kdeui/kuniqueapplication_p.moc:73
#63 0xb74a9b58 in QDBusConnectionPrivate::deliverCall (this=0x805b418, 
    object=0x80e4d60, msg=@0x80f1094, metaTypes=@0xbfc78df4, slotIdx=4)
    at qdbusintegrator.cpp:837
#64 0xb74aa756 in QDBusConnectionPrivate::activateCall (this=0x805b418, 
    object=0x80e4d60, flags=337, msg=@0x80f1094) at qdbusintegrator.cpp:742
#65 0xb74ab146 in QDBusConnectionPrivate::activateObject (this=0x805b418, 
    node=@0x80f1080, msg=@0x80f1094, pathStartPos=16)
    at qdbusintegrator.cpp:1269
#66 0xb74ab28a in QDBusActivateObjectEvent::placeMetaCall (this=0x80f1050)
    at qdbusintegrator.cpp:1382
#67 0xb7e64017 in QObject::event (this=0xbfc79680, e=0x1b73)
    at kernel/qobject.cpp:1122
#68 0xb7e5314b in QCoreApplication::event (this=0xbfc79680, e=0x80f1050)
    at kernel/qcoreapplication.cpp:1295
#69 0xb6d2c9f7 in QApplication::event (this=0xbfc79680, e=0x80f1050)
    at kernel/qapplication.cpp:2093
#70 0xb6d26e8a in QApplicationPrivate::notify_helper (this=0x8060068, 
    receiver=0xbfc79680, e=0x80f1050) at kernel/qapplication.cpp:3556
#71 0xb6d2877a in QApplication::notify (this=0xbfc79680, receiver=0xbfc79680, 
    e=0x80f1050) at kernel/qapplication.cpp:3115
#72 0xb79d8fb3 in KApplication::notify (this=0xbfc79680, receiver=0xbfc79680, 
    event=0x80f1050)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:314
#73 0xb7e52d7b in QCoreApplication::notifyInternal (this=0xbfc79680, 
    receiver=0xbfc79680, event=0x80f1050) at kernel/qcoreapplication.cpp:530
#74 0xb7e5421a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x8050f60) at kernel/qcoreapplication.h:200
#75 0xb7e5456d in QCoreApplication::sendPostedEvents (receiver=0x0, 
    event_type=0) at kernel/qcoreapplication.cpp:1001
#76 0xb6db0aee in QEventDispatcherX11::processEvents (this=0x805f170, 
    flags=@0xbfc795a4)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:205
#77 0xb7e52191 in QEventLoop::processEvents (this=0xbfc79610, 
    flags=@0xbfc795d8) at kernel/qeventloop.cpp:140
#78 0xb7e5229a in QEventLoop::exec (this=0xbfc79610, flags=@0xbfc79618)
    at kernel/qeventloop.cpp:186
#79 0xb7e54626 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:759
#80 0xb6d26487 in QApplication::exec () at kernel/qapplication.cpp:3053
#81 0x0804b3e5 in main (argc=1, argv=0xbfc79814)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/main.cpp:162
#82 0xb56b5fdc in __libc_start_main (main=0x804ab50 <main>, argc=1, 
    ubp_av=0xbfc79814, init=0x804c170 <__libc_csu_init>, 
    fini=0x804c160 <__libc_csu_fini>, rtld_fini=0xb7f16100 <_dl_fini>, 
    stack_end=0xbfc7980c) at libc-start.c:229
#83 0x0804a781 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 1 Oliver Putz 2008-01-25 01:20:44 UTC
Kontact just crashed right after I logged into my KDE Session. (I left kontact running when I rebooted the computer, so I guess the crash occurred while trying to restore the old kontact session)

The upper part of the backtrace is identical to the backtrace in this bug, so I'll attach the backtrace (that differs in the lower part) here.

Application: Kontact (kontact), signal SIGABRT
Using host libthread_db library "/lib/libthread_db.so.1".
[Thread debugging using libthread_db enabled]
[New Thread 0xb53a26d0 (LWP 5681)]
[KCrash handler]
#6  0xffffe410 in __kernel_vsyscall ()
#7  0xb57371f1 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb57389b8 in *__GI_abort () at abort.c:88
#9  0xb7e04265 in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfbaefcc "ASSERT: \"!privateObject->q\" in file /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp, line 54") at global/qglobal.cpp:2160
#10 0xb7e0432a in qFatal (msg=0xb7f0b87c "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2392
#11 0xb7e04555 in qt_assert (assertion=0xb788d9d6 "!privateObject->q", 
    file=0xb788d84c "/var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp", line=54) at global/qglobal.cpp:1917
#12 0xb7759cad in KDBusServiceStarter (this=0x81098f0)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kio/kio/kdbusservicestarter.cpp:54
#13 0xb62ab652 in ServiceStarter (this=0x81098f0, pluginList=0x805fa60)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:104
#14 0xb62a69e4 in MainWindow (this=0x805fa10)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:150
#15 0x0804b56e in KontactApp::newInstance (this=0xbfbb2b60)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/main.cpp:98
#16 0xb7a62c10 in KUniqueApplicationAdaptor::newInstance (this=0x80eb520, 
    asn_id=@0x82f80c0, args=@0x82f7a20)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kuniqueapplication_p.h:71
#17 0xb7a6122b in KUniqueApplicationAdaptor::qt_metacall (this=0x80eb520, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfbb1208)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs_build/kdeui/kuniqueapplication_p.moc:73
#18 0xb752cb58 in QDBusConnectionPrivate::deliverCall (this=0x805b690, 
    object=0x80eb520, msg=@0x805ef74, metaTypes=@0xbfbb1334, slotIdx=4)
    at qdbusintegrator.cpp:837
#19 0xb752d756 in QDBusConnectionPrivate::activateCall (this=0x805b690, 
    object=0x80eb520, flags=337, msg=@0x805ef74) at qdbusintegrator.cpp:742
#20 0xb752e146 in QDBusConnectionPrivate::activateObject (this=0x805b690, 
    node=@0x805ef60, msg=@0x805ef74, pathStartPos=16)
    at qdbusintegrator.cpp:1269
#21 0xb752e28a in QDBusActivateObjectEvent::placeMetaCall (this=0x805ef30)
    at qdbusintegrator.cpp:1382
#22 0xb7ee8017 in QObject::event (this=0xbfbb2b60, e=0x1631)
    at kernel/qobject.cpp:1122
#23 0xb7ed714b in QCoreApplication::event (this=0xbfbb2b60, e=0x805ef30)
    at kernel/qcoreapplication.cpp:1295
#24 0xb6daf9f7 in QApplication::event (this=0xbfbb2b60, e=0x805ef30)
    at kernel/qapplication.cpp:2093
#25 0xb6da9e8a in QApplicationPrivate::notify_helper (this=0x80605c0, 
    receiver=0xbfbb2b60, e=0x805ef30) at kernel/qapplication.cpp:3556
#26 0xb6dab77a in QApplication::notify (this=0xbfbb2b60, receiver=0xbfbb2b60, 
    e=0x805ef30) at kernel/qapplication.cpp:3115
#27 0xb7a5c083 in KApplication::notify (this=0xbfbb2b60, receiver=0xbfbb2b60, 
    event=0x805ef30)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdeui/kernel/kapplication.cpp:314
#28 0xb7ed6d7b in QCoreApplication::notifyInternal (this=0xbfbb2b60, 
    receiver=0xbfbb2b60, event=0x805ef30) at kernel/qcoreapplication.cpp:530
#29 0xb7ed821a in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x8050f60) at kernel/qcoreapplication.h:200
#30 0xb7ed856d in QCoreApplication::sendPostedEvents (receiver=0x0, 
    event_type=0) at kernel/qcoreapplication.cpp:1001
#31 0xb6e33aee in QEventDispatcherX11::processEvents (this=0x805ffd8, 
    flags=@0xbfbb1ae4)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:205
#32 0xb7ed6191 in QEventLoop::processEvents (this=0xbfbb1b5c, 
    flags=@0xbfbb1b18) at kernel/qeventloop.cpp:140
#33 0xb7ed629a in QEventLoop::exec (this=0xbfbb1b5c, flags=@0xbfbb1b68)
    at kernel/qeventloop.cpp:186
#34 0xb7214c87 in QDialog::exec (this=0xbfbb1c18) at dialogs/qdialog.cpp:433
#35 0xb3736001 in KMail::ImapAccountBase::makeConnection (this=0x82f8eb8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/imapaccountbase.cpp:315
#36 0xb373c958 in KMAcctImap::makeConnection (this=0x6)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmacctimap.cpp:546
#37 0xb37583b9 in KMFolderImap::listDirectory (this=0x82fced8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfolderimap.cpp:757
#38 0xb365413b in KMFolderTree::slotFolderExpanded (this=0x83496f8, 
    item=0x83f27a0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:1564
#39 0xb365ad02 in KMFolderTree::qt_metacall (this=0x83496f8, 
    _c=QMetaObject::InvokeMetaMethod, _id=161, _a=0xbfbb225c)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim_build/kmail/kmfoldertree.moc:265
#40 0xb7eea1f4 in QMetaObject::activate (sender=0x83496f8, 
    from_signal_index=68, to_signal_index=68, argv=<value optimized out>)
    at kernel/qobject.cpp:3081
#41 0xb7eead94 in QMetaObject::activate (sender=0x83496f8, m=0xb6709528, 
    local_signal_index=18, argv=0xbfbb225c) at kernel/qobject.cpp:3140
#42 0xb6680b24 in Q3ListView::expanded (this=0x83496f8, _t1=0x83f27a0)
    at .moc/debug-shared/moc_q3listview.cpp:389
#43 0xb65003ea in Q3ListViewItem::setOpen (this=0x83f27a0, o=true)
    at itemviews/q3listview.cpp:1495
#44 0xb365b4ea in KMFolderTree::addDirectory (this=0x83496f8, fdir=0x82fd394, 
    parent=0x0)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:757
#45 0xb365ba56 in KMFolderTree::reload (this=0x83496f8, openFolders=false)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmfoldertree.cpp:551
#46 0xb38288dc in KMMainWidget::readConfig (this=0x8334288)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:625
#47 0xb3829859 in KMMainWidget (this=0x8334288, parent=0x8305ca0, 
    aGUIClient=0x821e404, actionCollection=0x8223e98, config=0x80ab7e8)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmmainwidget.cpp:219
#48 0xb39adf4d in KMailPart (this=0x821e3e0, parentWidget=0x8101c58, 
    parent=0x8101c58)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kmail/kmail_part.cpp:108
#49 0xb39af692 in KPluginFactory::createPartInstance<KMailPart> (
    parentWidget=0x8101c58, parent=0x8101c58, args=@0xbfbb280c)
    at /usr/kde/svn/include/kpluginfactory.h:465
#50 0xb7d5f3d2 in KPluginFactory::create (this=0x821d400, 
    iface=0xb7688260 "KParts::ReadOnlyPart", parentWidget=0x8101c58, 
    parent=0x8101c58, args=@0xbfbb280c, keyword=@0xbfbb2728)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdecore/util/kpluginfactory.cpp:181
#51 0xb68999ab in KPluginFactory::create<KParts::ReadOnlyPart> (
    this=0x821d400, parent=0x8101c58, args=@0xbfbb280c)
    at /var/tmp/portage/kde-base/kdelibs-9999.4/work/kdelibs-9999.4/kdecore/util/kpluginfactory.h:489
#52 0xb6262502 in Kontact::Core::createPart (this=0x8101c58, 
    libname=0x81d1968 "kmailpart")
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/core.cpp:70
#53 0xb6264a51 in Kontact::Plugin::loadPart (this=0x81d0f10)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/plugin.cpp:126
#54 0xb39f1055 in KMailPlugin::createPart (this=0x81d0f10)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/plugins/kmail/kmail_plugin.cpp:172
#55 0xb626450f in Kontact::Plugin::part (this=0x81d0f10)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/interfaces/plugin.cpp:163
#56 0xb62a263e in Kontact::MainWindow::selectPlugin (this=0x8101c58, 
    plugin=0x81d0f10)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:648
#57 0xb62a2412 in Kontact::MainWindow::loadSettings (this=0x8101c58)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:782
#58 0xb62a63bf in Kontact::MainWindow::initObject (this=0x8101c58)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:211
#59 0xb62a6a75 in MainWindow (this=0x8101c58)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/mainwindow.cpp:159
#60 0x0804b3a5 in main (argc=3, argv=0xbfbb2cf4)
    at /var/tmp/portage/kde-base/kdepim-9999.4/work/kdepim-9999.4/kontact/src/main.cpp:154
#61 0xb5723fdc in __libc_start_main (main=0x804ab60 <main>, argc=3, 
    ubp_av=0xbfbb2cf4, init=0x804c180 <__libc_csu_init>, 
    fini=0x804c170 <__libc_csu_fini>, rtld_fini=0xb7f9a100 <_dl_fini>, 
    stack_end=0xbfbb2cec) at libc-start.c:229
#62 0x0804a791 in _start ()
#0  0xffffe410 in __kernel_vsyscall ()
Comment 2 Oliver Putz 2008-03-19 01:30:46 UTC
I did not experience this crash over the last couple of weeks, so I assume it got fixed. 
Comment 3 Oliver Putz 2008-09-14 13:40:01 UTC
I take back my last comment. I just stumbled over this crash again. This time I had kontact still running when I logged out. As soon as I looged in again I was greeted by the KDE crash handler that kontact (KDE-4.1.1) crashed with the following backtrace:

Application: Kontact (kontact), signal SIGABRT
[Thread debugging using libthread_db enabled]
[New Thread 0xb4e1e720 (LWP 10621)]
[KCrash handler]
#6  0xffffe424 in __kernel_vsyscall ()
#7  0xb5488690 in *__GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#8  0xb5489ed8 in *__GI_abort () at abort.c:88
#9  0xb69ea36f in qt_message_output (msgType=QtFatalMsg, 
    buf=0xbfd32520 "ASSERT: \"!privateObject->q\" in file /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kio/kio/kdbusservicestarter.cpp, line 54") at global/qglobal.cpp:2061
#10 0xb69ea42e in qFatal (msg=0xb6b33afc "ASSERT: \"%s\" in file %s, line %d")
    at global/qglobal.cpp:2263
#11 0xb69ea76f in qt_assert (assertion=0xb74604ad "!privateObject->q", 
    file=0xb746036c "/var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kio/kio/kdbusservicestarter.cpp", line=54) at global/qglobal.cpp:1831
#12 0xb73482f8 in KDBusServiceStarter (this=0x87383b0)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kio/kio/kdbusservicestarter.cpp:54
#13 0xb7ee25fc in ServiceStarter (this=0x87383b0, pluginList=0x805a288)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:107
#14 0xb7edd719 in MainWindow (this=0x805a240)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:152
#15 0x0804ba67 in KontactApp::newInstance (this=0xbfd35e78)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/main.cpp:134
#16 0xb712d271 in KUniqueApplicationAdaptor::newInstance (this=0x80f2220, 
    asn_id=@0x86a0db0, args=@0x86a0ab8)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kdeui/kernel/kuniqueapplication_p.h:77
#17 0xb712b80a in KUniqueApplicationAdaptor::qt_metacall (this=0x80f2220, 
    _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfd34818)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs_build/kdeui/kuniqueapplication_p.moc:74
#18 0xb604e173 in QDBusConnectionPrivate::deliverCall (this=0x805b238, 
    object=0x80f2220, msg=@0x84b9338, metaTypes=@0xbfd34968, slotIdx=4)
    at qdbusintegrator.cpp:865
#19 0xb604f45f in QDBusConnectionPrivate::activateCall (this=0x805b238, 
    object=0x80f2220, flags=337, msg=@0x84b9338) at qdbusintegrator.cpp:770
#20 0xb604f989 in QDBusConnectionPrivate::activateObject (this=0x805b238, 
    node=@0x84b9324, msg=@0x84b9338, pathStartPos=16)
    at qdbusintegrator.cpp:1317
#21 0xb604feae in QDBusActivateObjectEvent::placeMetaCall (this=0x84b92f8)
    at qdbusintegrator.cpp:1411
#22 0xb6af37f7 in QObject::event (this=0xbfd35e78, e=0x84b92f8)
    at kernel/qobject.cpp:1131
#23 0xb6ae33cb in QCoreApplication::event (this=0xbfd35e78, e=0x84b92f8)
    at kernel/qcoreapplication.cpp:1389
#24 0xb5849394 in QApplication::event (this=0xbfd35e78, e=0x84b92f8)
    at kernel/qapplication.cpp:2186
#25 0xb5843f1b in QApplicationPrivate::notify_helper (this=0x805fe40, 
    receiver=0xbfd35e78, e=0x84b92f8) at kernel/qapplication.cpp:3800
#26 0xb584aa55 in QApplication::notify (this=0xbfd35e78, receiver=0xbfd35e78, 
    e=0x84b92f8) at kernel/qapplication.cpp:3392
#27 0xb7127ce9 in KApplication::notify (this=0xbfd35e78, receiver=0xbfd35e78, 
    event=0x84b92f8)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kdeui/kernel/kapplication.cpp:311
#28 0xb6ae3771 in QCoreApplication::notifyInternal (this=0xbfd35e78, 
    receiver=0xbfd35e78, event=0x84b92f8) at kernel/qcoreapplication.cpp:591
#29 0xb6ae45d4 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, 
    event_type=0, data=0x804f420) at kernel/qcoreapplication.h:215
#30 0xb6ae4813 in QCoreApplication::sendPostedEvents (receiver=0x0, 
    event_type=0) at kernel/qcoreapplication.cpp:1095
#31 0xb58d8f91 in QEventDispatcherX11::processEvents (this=0x805fef8, flags=
      {i = -1076670008})
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:220
#32 0xb6ae2300 in QEventLoop::processEvents (this=0xbfd3523c, flags=
      {i = -1076669944}) at kernel/qeventloop.cpp:149
#33 0xb6ae24a2 in QEventLoop::exec (this=0xbfd3523c, flags={i = -1076669884})
    at kernel/qeventloop.cpp:200
#34 0xb5cae5c1 in QDialog::exec (this=0xbfd352d4) at dialogs/qdialog.cpp:453
#35 0xb1eabdfb in KMail::ImapAccountBase::makeConnection (this=0x84b8190)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/imapaccountbase.cpp:320
#36 0xb1eb2ca1 in KMAcctImap::makeConnection (this=0x0)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmacctimap.cpp:561
#37 0xb1ecef82 in KMFolderImap::listDirectory (this=0x8458298)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmfolderimap.cpp:754
#38 0xb1dbdb37 in KMFolderTree::slotFolderExpanded (this=0x8613a40, 
    item=0x8678f18)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmfoldertree.cpp:1574
#39 0xb1dc5501 in KMFolderTree::qt_metacall (this=0x8613a40, 
    _c=QMetaObject::InvokeMetaMethod, _id=28, _a=0xbfd3551c)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail_build/kmail/kmfoldertree.moc:266
#40 0xb6afa131 in QMetaObject::activate (sender=0x8613a40, 
    from_signal_index=<value optimized out>, to_signal_index=68, 
    argv=0xbfd3551c) at kernel/qobject.cpp:3007
#41 0xb6afc028 in QMetaObject::activate (sender=0x8613a40, m=0xb7cd46e8, 
    local_signal_index=18, argv=0xbfd3551c) at kernel/qobject.cpp:3077
#42 0xb7c4f5f3 in Q3ListView::expanded (this=0x8613a40, _t1=0x8678f18)
    at .moc/debug-shared/moc_q3listview.cpp:390
#43 0xb7ade614 in Q3ListViewItem::setOpen (this=0x8678f18, o=true)
    at itemviews/q3listview.cpp:1482
#44 0xb1dc5e0e in KMFolderTree::addDirectory (this=0x8613a40, fdir=0x84b84ec, 
    parent=0x0)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmfoldertree.cpp:756
#45 0xb1dc63e3 in KMFolderTree::reload (this=0x8613a40, openFolders=false)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmfoldertree.cpp:550
#46 0xb1fb9880 in KMMainWidget::readConfig (this=0x8517e70)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmmainwidget.cpp:611
#47 0xb1fbab7c in KMMainWidget (this=0x8517e70, parent=0x8582af8, 
    aGUIClient=0x8334d74, actionCollection=0x8334cf8, config=0x80cae30)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmmainwidget.cpp:215
#48 0xb221e0b2 in KMailPart (this=0x8334d50, parentWidget=0x8195ad0, 
    parent=0x8195ad0)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kmail/kmail_part.cpp:108
#49 0xb221f5b8 in KPluginFactory::createPartInstance<KMailPart> (
    parentWidget=0x8195ad0, parent=0x8195ad0, args=@0xbfd35a88)
    at /usr/kde/4.1/include/kpluginfactory.h:467
#50 0xb6e9bd63 in KPluginFactory::create (this=0x8338ef8, 
    iface=0xb7dbcf80 "KParts::ReadOnlyPart", parentWidget=0x8195ad0, 
    parent=0x8195ad0, args=@0xbfd35a88, keyword=@0xbfd359c8)
    at /var/tmp/portage/kde-base/kdelibs-4.1.1/work/kdelibs-4.1.1/kdecore/util/kpluginfactory.cpp:189
#51 0xb6cbe043 in KPluginFactory::create<KParts::ReadOnlyPart> (
    this=0x8338ef8, parent=0x8195ad0, args=@0xbfd35a88)
    at /usr/kde/4.1/include/kpluginfactory.h:491
#52 0xb6cbcf1d in Kontact::Core::createPart (this=0x8195ad0, 
    libname=0x82f2028 "kmailpart")
    at /var/tmp/portage/kde-base/kontactinterfaces-4.1.1/work/kontactinterfaces-4.1.1/kontactinterfaces/core.cpp:87
#53 0xb6cbecc9 in Kontact::Plugin::loadPart (this=0x82ef6a0)
    at /var/tmp/portage/kde-base/kontactinterfaces-4.1.1/work/kontactinterfaces-4.1.1/kontactinterfaces/plugin.cpp:146
#54 0xb22696ad in KMailPlugin::createPart (this=0x82ef6a0)
    at /var/tmp/portage/kde-base/kmail-4.1.1/work/kmail-4.1.1/kontact/plugins/kmail/kmail_plugin.cpp:170
#55 0xb6cbe757 in Kontact::Plugin::part (this=0x82ef6a0)
    at /var/tmp/portage/kde-base/kontactinterfaces-4.1.1/work/kontactinterfaces-4.1.1/kontactinterfaces/plugin.cpp:185
#56 0xb7ed89d1 in Kontact::MainWindow::selectPlugin (this=0x8195ad0, 
    plugin=0x82ef6a0)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:729
#57 0xb7ed85cc in Kontact::MainWindow::loadSettings (this=0x8195ad0)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:888
#58 0xb7edd0da in Kontact::MainWindow::initObject (this=0x8195ad0)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:216
#59 0xb7edd7aa in MainWindow (this=0x8195ad0)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/mainwindow.cpp:162
#60 0x0804b8c0 in main (argc=3, argv=0xbfd36034)
    at /var/tmp/portage/kde-base/kontact-4.1.1/work/kontact-4.1.1/kontact/src/main.cpp:210
#0  0xffffe424 in __kernel_vsyscall ()
Comment 4 Oliver Putz 2008-10-26 09:25:12 UTC
Still valid in KDE-4.1.69
Comment 5 Dario Andres 2009-01-28 02:51:48 UTC
Bug 175144 may be related to this
Comment 6 Christophe Giboudeaux 2009-06-30 08:44:36 UTC
*** Bug 198360 has been marked as a duplicate of this bug. ***
Comment 7 Christophe Giboudeaux 2009-07-09 11:42:41 UTC
*** Bug 199507 has been marked as a duplicate of this bug. ***
Comment 8 Christophe Giboudeaux 2009-07-18 17:16:09 UTC
*** Bug 200672 has been marked as a duplicate of this bug. ***
Comment 9 Dario Andres 2009-11-10 13:50:31 UTC
*** Bug 213935 has been marked as a duplicate of this bug. ***
Comment 10 Rettich 2010-01-31 13:39:34 UTC
Same here. Kontact crashes on start if there is still a kontact process running.
Comment 11 Dario Andres 2010-02-05 22:04:39 UTC
Bug 225655 has a recent case from KDE SC 4.3.5:
Each time when kontact started automatically with session startup, it crashes
immediately. KWallet prompt shows, but kontact is already dead this time.
This happens only on one of my workstations, I can't reproduce it on others and
I have no clue what is different.
Comment 12 Dario Andres 2010-02-05 22:04:43 UTC
*** Bug 225655 has been marked as a duplicate of this bug. ***
Comment 13 Dennis 2010-02-11 15:52:05 UTC
(In reply to comment #11)
> Bug 225655 has a recent case from KDE SC 4.3.5:
> Each time when kontact started automatically with session startup, it crashes
> immediately. KWallet prompt shows, but kontact is already dead this time.
> This happens only on one of my workstations, I can't reproduce it on others and
> I have no clue what is different.
Reproduced with 4.4.0 with the same backtrace.

#10 0x00007f9f2e0758d4 in KDBusServiceStarter (this=0x102aad0) at /mnt/ram/paludis/kde-base-kdelibs-4.4.0/work/kdelibs-4.4.0/kio/kio/kdbusservicestarter.cpp:54
#11 0x00007f9f31857c9b in ServiceStarter (this=0x16c9, pluginList=0x16c9) at /mnt/ram/paludis/kde-base-kontact-4.4.0/work/kontact-4.4.0/kontact/src/mainwindow.cpp:91
#12 0x00007f9f31853655 in MainWindow (this=0x967c00) at /mnt/ram/paludis/kde-base-kontact-4.4.0/work/kontact-4.4.0/kontact/src/mainwindow.cpp:136
#13 0x000000000040412a in KontactApp::newInstance (this=0x7fff1cf45420) at /mnt/ram/paludis/kde-base-kontact-4.4.0/work/kontact-4.4.0/kontact/src/main.cpp:136
Comment 14 Dennis 2010-03-10 12:12:16 UTC
Problem described in bug #225655 disappeared for me after upgrade to kde 4.4.1 / qt 4.6.2
Comment 15 Rettich 2010-03-10 17:43:31 UTC
Confirm this. Problem disappeared after upgrade to 4.4.1.
Comment 16 Thomas Fischer 2010-05-17 10:25:53 UTC
Same problem here with Gentoo + KDE 4.4.3. Bug report 175144 has some technical hints in comment #28, but it may be no longer valid (from March 2009).


Application: Kontact (kontact), signal: Aborted
[KCrash Handler]
#6  0xb7813424 in __kernel_vsyscall ()
#7  0xb44ea6e0 in raise () from /lib/libc.so.6
#8  0xb44ebf15 in abort () from /lib/libc.so.6
#9  0xb4887045 in qt_message_output (msgType=QtFatalMsg, 
    buf=0x926eb80 "ASSERT: \"!privateObject->q\" in file /var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3/kio/kio/kdbusservicestarter.cpp, line 54") at global/qglobal.cpp:2250
#10 0xb48871e7 in qt_message (msgType=QtFatalMsg, msg=0xb4a01748 "ASSERT: \"%s\" in file %s, line %d", ap=0xbfb25e04 "\035$\353\265\334\"\353\265\066") at global/qglobal.cpp:2296
#11 0xb48872e0 in qFatal (msg=0xb4a01748 "ASSERT: \"%s\" in file %s, line %d") at global/qglobal.cpp:2479
#12 0xb488752a in qt_assert (assertion=0xb5eb241d "!privateObject->q", file=0xb5eb22dc "/var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3/kio/kio/kdbusservicestarter.cpp", line=54)
    at global/qglobal.cpp:2013
#13 0xb5d7b4fd in KDBusServiceStarter (this=0x8fe36a8) at /var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3/kio/kio/kdbusservicestarter.cpp:54
#14 0xb7064bb5 in ServiceStarter (this=0x8fe36a8, pluginList=0x926bd90) at /var/tmp/portage/kde-base/kontact-4.4.3/work/kontact-4.4.3/kontact/src/mainwindow.cpp:91
#15 0xb705f524 in MainWindow (this=0x926bd48, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>)
    at /var/tmp/portage/kde-base/kontact-4.4.3/work/kontact-4.4.3/kontact/src/mainwindow.cpp:136
#16 0x0804b8a0 in KontactApp::newInstance (this=0xbfb27c28) at /var/tmp/portage/kde-base/kontact-4.4.3/work/kontact-4.4.3/kontact/src/main.cpp:136
#17 0xb597550e in KUniqueApplicationAdaptor::newInstance (this=0x8edf5a0, asn_id=..., args=...) at /var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3/kdeui/kernel/kuniqueapplication.cpp:454
#18 0xb59755a5 in KUniqueApplicationAdaptor::qt_metacall (this=0x8edf5a0, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbfb26118)
    at /var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3_build/kdeui/kuniqueapplication_p.moc:81
#19 0xb478f2df in QDBusConnectionPrivate::deliverCall (this=0x8e74fd0, object=0x8edf5a0, msg=..., metaTypes=..., slotIdx=4) at qdbusintegrator.cpp:904
#20 0xb4790661 in QDBusConnectionPrivate::activateCall (this=0x8e74fd0, object=0x8edf5a0, flags=337, msg=...) at qdbusintegrator.cpp:809
#21 0xb4790d04 in QDBusConnectionPrivate::activateObject (this=0x8e74fd0, node=..., msg=..., pathStartPos=16) at qdbusintegrator.cpp:1383
#22 0xb4791252 in QDBusActivateObjectEvent::placeMetaCall (this=0x926aa28) at qdbusintegrator.cpp:1477
#23 0xb49a773a in QObject::event (this=0xbfb27c28, e=0x926aa28) at kernel/qobject.cpp:1240
#24 0xb4995dec in QCoreApplication::event (this=0xbfb27c28, e=0x926aa28) at kernel/qcoreapplication.cpp:1533
#25 0xb4c43f2b in QApplication::event (this=0xbfb27c28, e=0x926aa28) at kernel/qapplication.cpp:2353
#26 0xb4c4169f in QApplicationPrivate::notify_helper (this=0x8e81c58, receiver=0xbfb27c28, e=0x926aa28) at kernel/qapplication.cpp:4300
#27 0xb4c481f4 in QApplication::notify (this=0xbfb27c28, receiver=0xbfb27c28, e=0x926aa28) at kernel/qapplication.cpp:4265
#28 0xb597124e in KApplication::notify (this=0xbfb27c28, receiver=0xbfb27c28, event=0x926aa28) at /var/tmp/portage/kde-base/kdelibs-4.4.3/work/kdelibs-4.4.3/kdeui/kernel/kapplication.cpp:302
#29 0xb49961d1 in QCoreApplication::notifyInternal (this=0xbfb27c28, receiver=0xbfb27c28, event=0x926aa28) at kernel/qcoreapplication.cpp:704
#30 0xb49970f0 in QCoreApplication::sendEvent (receiver=0x0, event_type=0, data=0x8e5d9c8) at kernel/qcoreapplication.h:215
#31 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x8e5d9c8) at kernel/qcoreapplication.cpp:1345
#32 0xb4997350 in QCoreApplication::sendPostedEvents (receiver=0x0, event_type=0) at kernel/qcoreapplication.cpp:1238
#33 0xb49c33f3 in QCoreApplication::sendPostedEvents (s=0x8e83590) at kernel/qcoreapplication.h:220
#34 postEventSourceDispatch (s=0x8e83590) at kernel/qeventdispatcher_glib.cpp:276
#35 0xb408b95e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#36 0xb408ed31 in ?? () from /usr/lib/libglib-2.0.so.0
#37 0x08e83510 in ?? ()
#38 0x00000000 in ?? ()
Comment 17 Christophe Giboudeaux 2010-06-07 00:07:09 UTC
*** Bug 236286 has been marked as a duplicate of this bug. ***
Comment 18 Christophe Giboudeaux 2010-09-19 12:00:47 UTC
*** Bug 250938 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2010-09-22 01:09:35 UTC
*** Bug 251999 has been marked as a duplicate of this bug. ***
Comment 20 simon 2012-02-09 10:20:38 UTC
Created attachment 68646 [details]
New crash information added by DrKonqi

kontact (4.9 pre) on KDE Platform 4.8.00 (4.8.0 using Qt 4.7.4

- What I was doing when the application crashed:

just started kde with kontact in my last session to restore: startup-> crashed

-- Backtrace (Reduced):
#11 0x00007f02a42ee1bc in KDBusServiceStarter::KDBusServiceStarter (this=0x83ba30) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kio/kio/kdbusservicestarter.cpp:53
#12 0x00007f02a90867b9 in ServiceStarter::ServiceStarter (this=0xfff, pluginList=0xfff) at /var/tmp/portage/kde-base/kontact-9999/work/kontact-9999/kontact/src/mainwindow.cpp:97
#13 0x00007f02a9080ddc in Kontact::MainWindow::MainWindow (this=0x9833c0, __in_chrg=<value optimized out>, __vtt_parm=<value optimized out>) at /var/tmp/portage/kde-base/kontact-9999/work/kontact-9999/kontact/src/mainwindow.cpp:142
#14 0x000000000040405d in KontactApp::newInstance (this=0x7fffbe8a88f0) at /var/tmp/portage/kde-base/kontact-9999/work/kontact-9999/kontact/src/main.cpp:134
#15 0x00007f02a87a5a7a in KUniqueApplicationAdaptor::newInstance (this=0x756be0, asn_id=<value optimized out>, args=...) at /var/tmp/portage/kde-base/kdelibs-9999/work/kdelibs-9999/kdeui/kernel/kuniqueapplication.cpp:442
Comment 21 Denis Kurz 2016-09-24 19:31:02 UTC
This bug has only been reported for versions before 4.14, which have been unsupported for at least two years now. Can anyone tell if this bug still present?

If noone confirms this bug for a Framework-based version of kontact (version 5.0 or later, as part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 22 Denis Kurz 2017-01-07 22:33:53 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.